# My TypeScript Package

This README outlines the steps to create and use a local NPM package written in TypeScript.

## Setup and Initialization

1. **Create and Initialize Package**

   - Create a new directory and initialize it with NPM.
     ```bash
     mkdir my-package
     cd my-package
     npm init
     ```

2. **TypeScript Setup**
   - Install TypeScript as a dev dependency and initialize the configuration.
     ```bash
     npm install typescript --save-dev
     npx tsc --init
     ```

## Development

1. **Write Your Code**

   - Create TypeScript `.ts` files in your project.

2. **Compile TypeScript**
   npm run build

## Preparing for NPM

1. **Configure `package.json`**

   - Specify the main entry point and other relevant information.

2. **Publish your package to NPM:**
   npm login
   npm publish

3. **Local Linking (Optional)**
   - Use `npm link` to test the package locally in another project.
     ```bash
     npm link
     ```
   - In the consuming project:
     ```bash
     npm link my-package
     ```

## Publishing to NPM (Optional)

1. **Publish Your Package**
   - If desired, publish the package to the npm registry.
     ```bash
     npm publish
     ```

Remember to adjust the steps based on your specific requirements and package complexity.

Check for CYRCULAR DEPENDENCIES
madge --circular ./

## Generate dependency graph

ts_dependency_graph --start src/index.ts

http://www.webgraphviz.com/

WEBPACK
https://marcobotto.com/blog/compiling-and-bundling-typescript-libraries-with-webpack/
