import "reflect-metadata";
import { ISubDocument } from "../interfaces/ISubDocument.js";
export declare function dto(target: any, propertyKey: string): void;
export declare function isDto(target: any, propertyKey: string): boolean;
/**
 * This metadata flag indicates that the property is a sub-document in Firestore.
 *
 * @param target - The target object on which the property is defined.
 * @param propertyKey - The name of the property to which the metadata flag is attached.
 */
export declare function subDocument(target: any, propertyKey: string): void;
export declare function isSubDocument(target: any, propertyKey: string): boolean;
export declare function getSubDocumentProperties(instance: any, parentKey?: string): string[];
export declare function getSubDocuments(instance: any, parentKey?: string): Record<string, any>;
export declare function clearSubDocumentProperties(instance: any): void;
export declare function parsePath(path: string): Array<string | number>;
export declare function recordToISubDocument(values: Record<string, any>): ISubDocument[];
export declare function injectSubDocuments(instance: any, subDocuments: ISubDocument[]): void;
export declare function setNestedSubProperty(obj: any, pathParts: Array<string | number>, value: any): void;
export declare function stringifyAtFirebase(target: any, propertyKey: string): void;
export declare function shouldStringifyAtFirebase(target: any, propertyKey: string): boolean;
export declare function keepJsonStringAtFirebase(target: any, propertyKey: string): void;
export declare function shouldKeepJsonStringAtFirebase(target: any, propertyKey: string): boolean;
export declare function ignoreAtFirebase(target: any, propertyKey: string): void;
export declare function shouldIgnoreAtFirebase(target: any, propertyKey: string): boolean;
export declare function deepCopyWithoutIgnoreAtFirebase(obj: any): any;
export declare function JsonAtFirebase(dataObject: any): void;
export declare function parseJsonAtFirebase(obj: any): any;
export declare function removeIgnoreDecorator(obj: any): any;
//# sourceMappingURL=firebase.decorator.d.ts.map