import { z } from "zod";
export declare enum Anchor {
    Start = "start",
    Center = "center",
    End = "end"
}
export declare const AnchorSchema: z.ZodEnum<[Anchor.Start, Anchor.Center, Anchor.End]>;
export declare enum VideoOrientation {
    Portrait = 1,
    PortraitUpsideDown = 2,
    LandscapeRight = 3,
    LandscapeLeft = 4
}
export declare const VideoOrientationSchema: z.ZodUnion<[z.ZodLiteral<VideoOrientation.Portrait>, z.ZodLiteral<VideoOrientation.PortraitUpsideDown>, z.ZodLiteral<VideoOrientation.LandscapeRight>, z.ZodLiteral<VideoOrientation.LandscapeLeft>]>;
export declare enum VideoResolution {
    _8K = "8K",
    UHD = "4K",
    HD = "HD",
    QHD = "QHD",
    SD = "SD"
}
export declare const VideoResolutionSchema: z.ZodEnum<[VideoResolution._8K, VideoResolution.UHD, VideoResolution.HD, VideoResolution.QHD, VideoResolution.SD]>;
export declare enum VideoCodecType {
    H264 = "h264",
    H264MKV = "h264-mkv",
    H265 = "h265",
    ProRes = "prores",
    VP8 = "vp8",
    VP9 = "vp9",
    GIF = "gif"
}
export declare const VideoCodecTypeSchema: z.ZodEnum<[VideoCodecType.H264, VideoCodecType.H264MKV, VideoCodecType.H265, VideoCodecType.ProRes, VideoCodecType.VP8, VideoCodecType.VP9, VideoCodecType.GIF]>;
export declare enum AudioCodecType {
    AAC = "aac",
    WAV = "wav",
    MP3 = "mp3"
}
export declare const AudioCodecTypeSchema: z.ZodEnum<[AudioCodecType.AAC, AudioCodecType.WAV, AudioCodecType.MP3]>;
export declare enum VideoImageFormatType {
    JPEG = "jpeg",
    PNG = "png",
    NONE = "none"
}
export declare const VideoImageFormatTypeSchema: z.ZodEnum<[VideoImageFormatType.JPEG, VideoImageFormatType.PNG, VideoImageFormatType.NONE]>;
export declare enum StillImageFormatType {
    PNG = "png",
    JPEG = "jpeg",
    PDF = "pdf",
    WEBP = "webp"
}
export declare const StillImageFormatTypeSchema: z.ZodEnum<[StillImageFormatType.PNG, StillImageFormatType.JPEG, StillImageFormatType.PDF, StillImageFormatType.WEBP]>;
export declare enum PixelFormat {
    yuv420p = "yuv420p",
    yuva420p = "yuva420p",
    yuv422p = "yuv422p",
    yuv444p = "yuv444p",
    yuv420p10le = "yuv420p10le",
    yuv422p10le = "yuv422p10le",
    yuv444p10le = "yuv444p10le",
    yuva444p10le = "yuva444p10le"
}
export declare const PixelFormatSchema: z.ZodEnum<[PixelFormat.yuv420p, PixelFormat.yuva420p, PixelFormat.yuv422p, PixelFormat.yuv444p, PixelFormat.yuv420p10le, PixelFormat.yuv422p10le, PixelFormat.yuv444p10le, PixelFormat.yuva444p10le]>;
export declare enum ProResProfile {
    ProRes444 = "4444",
    ProRes444XQ = "4444-xq",
    HQ = "hq",
    Standard = "standard",
    Light = "light",
    Proxy = "proxy"
}
export declare const ProResProfileSchema: z.ZodEnum<[ProResProfile.ProRes444, ProResProfile.ProRes444XQ, ProResProfile.HQ, ProResProfile.Standard, ProResProfile.Light, ProResProfile.Proxy]>;
export declare enum VideoFileType {
    mp4 = "mp4",
    mov = "mov",
    mkv = "mkv",
    webm = "webm",
    hevc = "hevc"
}
export declare const VideoFileTypeSchema: z.ZodEnum<[VideoFileType.mp4, VideoFileType.mov, VideoFileType.mkv, VideoFileType.webm, VideoFileType.hevc]>;
export declare enum VideoRatioType {
    R16To9 = 1.7777777777777777,
    R9To16 = 0.5625,
    R4To3 = 1.3333333333333333,
    R3To4 = 0.75,
    R5To4 = 1.25,
    R1To1 = 1,
    RCustom = 0
}
export declare const VideoRatioTypeSchema: z.ZodUnion<[z.ZodLiteral<VideoRatioType.R16To9>, z.ZodLiteral<VideoRatioType.R9To16>, z.ZodLiteral<VideoRatioType.R4To3>, z.ZodLiteral<VideoRatioType.R3To4>, z.ZodLiteral<VideoRatioType.R5To4>, z.ZodLiteral<VideoRatioType.R1To1>, z.ZodLiteral<VideoRatioType.RCustom>]>;
export declare enum VideoFrameRate {
    Fps24 = 24,
    Fps25 = 25,
    Fps30 = 30,
    Fps50 = 50,
    Fps60 = 60,
    Custom = 0
}
export declare const VideoFrameRateSchema: z.ZodUnion<[z.ZodLiteral<VideoFrameRate.Fps24>, z.ZodLiteral<VideoFrameRate.Fps25>, z.ZodLiteral<VideoFrameRate.Fps30>, z.ZodLiteral<VideoFrameRate.Fps50>, z.ZodLiteral<VideoFrameRate.Fps60>, z.ZodLiteral<VideoFrameRate.Custom>]>;
export declare enum LayerType {
    Audio = "audio",
    Video = "video",
    Image = "image",
    ImageOverlay = "image-overlay",
    Title = "title",
    Subtitle = "subtitle",
    NewsTitle = "news-title",
    SlideInText = "slide-in-text",
    LowerThird = "lower-third",
    TitleBackground = "title-background",
    FillColor = "fill-color",
    Pause = "pause",
    RadialGradient = "radial-gradient",
    LinearGradient = "linear-gradient",
    RainbowColors = "rainbow-colors",
    Canvas = "canvas",
    Fabric = "fabric",
    Gl = "gl",
    Lottie = "lottie"
}
export declare const LayerTypeSchema: z.ZodEnum<[LayerType.Audio, LayerType.Video, LayerType.Image, LayerType.ImageOverlay, LayerType.Title, LayerType.Subtitle, LayerType.NewsTitle, LayerType.SlideInText, LayerType.LowerThird, LayerType.TitleBackground, LayerType.FillColor, LayerType.Pause, LayerType.RadialGradient, LayerType.LinearGradient, LayerType.RainbowColors, LayerType.Canvas, LayerType.Fabric, LayerType.Gl, LayerType.Lottie]>;
export declare enum FadeType {
    None = "none",
    Cut = "cut",
    Linear = "linear",
    Exponential = "exponential",
    Cubic = "cubic"
}
export declare const FadeTypeSchema: z.ZodEnum<[FadeType.None, FadeType.Cut, FadeType.Linear, FadeType.Exponential, FadeType.Cubic]>;
export declare enum SelectorType {
    Language = "language",
    Languages = "languages",
    IsPlayer = "isPlayer",
    IsPreview = "isPreview",
    LogLevel = "logLevel",
    CalculateClips = "calculateClips",
    CalculateFromJson = "calculateFromJson"
}
export declare const SelectorTypeSchema: z.ZodEnum<[SelectorType.Language, SelectorType.IsPlayer, SelectorType.IsPreview, SelectorType.LogLevel, SelectorType.CalculateClips, SelectorType.CalculateFromJson]>;
export declare enum GroupType {
    CurrentUser = "1CurrentUser",
    Groups = "2Groups",
    ActiveProject = "3ActiveProject",
    RenderedVideoFromActiveProject = "4RenderedVideoFromActiveProject"
}
export declare enum AnchorType {
    Null = "null",
    Top = "top",
    Bottom = "bottom",
    Center = "center",
    Right = "right",
    Left = "left"
}
export declare const AncorTypeSchema: z.ZodEnum<[AnchorType.Null, AnchorType.Top, AnchorType.Bottom, AnchorType.Center, AnchorType.Right, AnchorType.Left]>;
export declare enum PositionType {
    Static = "static",
    Relative = "relative",
    Fixed = "fixed",
    Absolute = "absolute",
    Sticky = "sticky"
}
export declare const PositionTypeSchema: z.ZodEnum<[PositionType.Static, PositionType.Relative, PositionType.Fixed, PositionType.Absolute, PositionType.Sticky]>;
export declare enum AspectType {
    Fill = "fill",
    Fit = "fit"
}
export declare const AspectTypeSchema: z.ZodEnum<[AspectType.Fill, AspectType.Fit]>;
export declare enum TransitionCurve {
    Cut = "cut",
    Linear = "linear",
    Cubic = "cubic",
    Quad = "quad"
}
export declare const TransitionCurveSchema: z.ZodEnum<[TransitionCurve.Cut, TransitionCurve.Linear, TransitionCurve.Cubic, TransitionCurve.Quad]>;
export declare enum TimingAction {
    Trim = "trim",
    Expand = "expand",
    Shift = "shift"
}
export declare const TimingActionSchema: z.ZodEnum<[TimingAction.Trim, TimingAction.Expand, TimingAction.Shift]>;
//# sourceMappingURL=general.d.ts.map