export * from "./array.extensions.js";
export * from "./enum.extentions.js";
export * from "./number.extentions.js";
export * from "./string.extensions.js";
const ALGOLIA_PAYLOAD_MAX_SIZE = 102400;
/**
 * Calculates the size of a JSON object in bytes, considering Unicode characters.
 * @param object The JSON object to measure.
 * @returns The size of the JSON object in KB.
 */
export function calculateJsonSize(object) {
    if (!object)
        return -1;
    try {
        if (typeof Buffer !== "undefined") {
            const recordBuffer = Buffer.from(JSON.stringify(object));
            return recordBuffer.byteLength;
        }
        // Fallback for environments where Buffer is not available (e.g., web browsers)
        const jsonString = JSON.stringify(object);
        return new TextEncoder().encode(jsonString).length;
    }
    catch (e) {
        console.log("ERROR calculating JSON size:", object, e);
    }
    return -1;
}
export function isSmaller(object, fraction = 1) {
    if (!object)
        return false;
    const size = calculateJsonSize(object);
    if (size < 0)
        return false;
    const maxTargetSize = ALGOLIA_PAYLOAD_MAX_SIZE * Math.min(1, fraction);
    return size <= maxTargetSize;
}
export function ifSmaller(object, fraction = 1, elseValue = undefined) {
    return isSmaller(object, fraction) ? object : elseValue;
}
//# sourceMappingURL=index.js.map