import { IAudioTranscriptionConfig, IAudioTranscriptionResponse, IAudioUploadResponse, IGladiaErrorResponse, IGetTranscriptionResponse, TranscriptionStatus, TranscriptionKind, ITranscriptionsResponse } from "./interfaces.js";
import { IGladiaTranscript } from "./IGladiaTranscript.js";
export declare class GladiaClient {
    private apiKey;
    private baseUrl;
    private client;
    constructor(apiKey: string);
    uploadMedia(file: File | Blob): Promise<IAudioUploadResponse>;
    transcribeAudioFromUrl(audioUrl: string, transcriptionConfig?: Partial<IAudioTranscriptionConfig>): Promise<IAudioTranscriptionResponse | IGladiaErrorResponse>;
    getTranscriptions(offset?: number, limit?: number, status?: TranscriptionStatus[], kind?: TranscriptionKind[], date?: string, before_date?: string, after_date?: string): Promise<ITranscriptionsResponse>;
    getTranscriptionState(id: string): Promise<IGetTranscriptionResponse | IGladiaErrorResponse>;
    pollTranscriptionState(id: string, interval?: number, timeout?: number): Promise<IGetTranscriptionResponse | IGladiaErrorResponse>;
    getTranscription(resultUrl: string): Promise<IGladiaTranscript | IGladiaErrorResponse>;
    deleteTranscription(id: string): Promise<any>;
}
export default GladiaClient;
//# sourceMappingURL=gladia-service.d.ts.map