import { getFirestoreCollectionPath, } from "../extensions/index.js";
export function getLinkedChildrenInSubCollection(item) {
    var _a;
    const subChildrenPath = (_a = item.linkedChildren) === null || _a === void 0 ? void 0 : _a.filter((linkedChild) => {
        if (!item.documentReference)
            return false;
        const itemPath = item.documentReference.path;
        const childCollection = getFirestoreCollectionPath(linkedChild);
        const isSubItem = childCollection.startsWith(itemPath);
        return isSubItem;
    });
    return subChildrenPath !== null && subChildrenPath !== void 0 ? subChildrenPath : [];
}
export function setParent(item, parent) {
    item.linkedParent = parent.path;
    return item;
}
export function addChild(item, child) {
    if (!item.linkedChildren)
        item.linkedChildren = [];
    if (item.linkedChildren.find((x) => x === child.path))
        return item;
    item.linkedChildren.push(child.path);
    return item;
}
export function removeChild(item, child) {
    if (!item.linkedChildren)
        return item;
    const index = item.linkedChildren.findIndex((x) => x === child.path);
    if (index < 0)
        return item;
    item.linkedChildren.splice(index, 1);
    return item;
}
export function sanitizeIHasParentChildRelationship(item) {
    let changed = false;
    if (!item.linkedParent) {
        item.linkedParent = null;
        changed = true;
    }
    if (!item.linkedChildren) {
        item.linkedChildren = [];
        changed = true;
    }
    return changed;
}
export function iHasParentChildRelationshipToAlgolia(item) {
    var _a;
    return {
        linkedParent: item.linkedParent,
        linkedChildren: (_a = item.linkedChildren) !== null && _a !== void 0 ? _a : [],
    };
}
//# sourceMappingURL=IHasParentChildRelationship.js.map