import type { ICollectionDocument } from "./ICollectionDocument.js";
import type { IDocumentReference } from "./IDocumentReference.js";
export interface IHasSiblingsRelationship {
    linkedSiblings?: string[] | null;
}
export declare function connectSiblings(itemA: ICollectionDocument, itemB: ICollectionDocument): {
    a: IHasSiblingsRelationship;
    b: IHasSiblingsRelationship;
};
export declare function disconnectSiblings(itemA: ICollectionDocument, itemB: ICollectionDocument): {
    a: IHasSiblingsRelationship;
    b: IHasSiblingsRelationship;
};
export declare function addSibling(item: IHasSiblingsRelationship, siblingRef: IDocumentReference): IHasSiblingsRelationship;
export declare function removeSibling(item: IHasSiblingsRelationship, siblingRef: IDocumentReference): IHasSiblingsRelationship;
export declare function iHasSiblingsRelationshipToAlgolia(item: IHasSiblingsRelationship): IHasSiblingsRelationship;
export declare function sanitizeIHasSiblingsRelationship(item: IHasSiblingsRelationship): boolean;
//# sourceMappingURL=IHasSiblingsRelationship.d.ts.map