import type { ICollectionDocument } from "./ICollectionDocument.js";
import type { ICreateUpdate } from "./ICreataUpdate.js";
export interface IHasUsers {
    users?: string[] | null;
    groups?: string[] | null;
    groupClaims?: any;
    addGroup?: (groupId: string) => boolean;
    removeGroup?: (groupId: string) => boolean;
}
export declare function addGroup(item: IHasUsers, groupId: string): IHasUsers;
export declare function removeGroup(item: IHasUsers, groupId: string): IHasUsers;
export interface IHasUserCreataUpdate extends IHasUsers, ICreateUpdate {
}
export interface IHasUserCreataUpdateAlgolia extends IHasUsers, ICreateUpdate {
    users: string[];
    groups: string[];
    groupClaims: any;
}
export declare function iHasUserCreataUpdateToAlgolia(item: IHasUserCreataUpdate): IHasUserCreataUpdateAlgolia;
export declare function sanitizeIHasUser(item: IHasUsers): boolean;
export declare function sanitizeIHasUserCreataUpdate(item: IHasUserCreataUpdate): boolean;
export declare function sanitizeGroupClaims<T extends ICollectionDocument>(document: ICollectionDocument): {
    document: T;
    sanitizeChanged: boolean;
};
//# sourceMappingURL=IHasUsers.d.ts.map