/* eslint-disable capitalized-comments */
import { WebVTT } from "../models/index.js";
import { MediaType } from "./IMediaAsset.js";
export function iLocalCloudFileToAlgolia(item, mediaType = MediaType.null) {
    if (!item)
        return null;
    const variants = [];
    if (item.variants && Array.isArray(item.variants)) {
        item.variants.forEach((variant) => {
            const x = iLocalCloudFileToAlgolia(variant.value);
            if (x)
                variants.push(x);
        });
    }
    let jsonData = null;
    const texts = [];
    if (item.jsonData && item.jsonData.length > 0) {
        const webVtt = WebVTT.fromJson(item.jsonData);
        switch (mediaType) {
            case MediaType.Subtitle:
                texts.push(...webVtt.extractTexts());
                // jsonData = JSON.stringify({
                //   texts: WebVTT.fromJson(item.jsonData).extractTexts(),
                // });
                break;
            default:
                jsonData = null;
                break;
        }
    }
    for (const v of variants) {
        if (v.texts)
            texts.push(...v.texts);
    }
    return {
        filename: item.filename,
        texts,
        // fileMetadata: item.fileMetadata,
        // jsonData,
        // variants,
    };
}
//# sourceMappingURL=ILocalCloudFile.js.map