import type { ICollectionDocument } from "./ICollectionDocument.js";
import type { IDocumentReference } from "./IDocumentReference.js";
export type Primitive = object | string | number | boolean | Date;
export type PrimitiveArray = object[] | string[] | number[] | boolean[] | Date[];
export type MetadataType = Primitive | PrimitiveArray | null | undefined;
export interface IMetadata extends ICollectionDocument {
    parentReference: IDocumentReference;
    documentReference?: IDocumentReference | null;
    [key: string]: MetadataType;
}
export declare function iMetadataItem(data: {
    [key: string]: MetadataType;
}, parent: ICollectionDocument, subCollection?: string): IMetadata;
//# sourceMappingURL=IMetadata.d.ts.map