export interface IDimensions {
    width?: number;
    height?: number;
    ratio?: number;
    ratioFraction?: [number, number];
}
export interface IFrameRate {
    value?: number;
    fraction?: [number, number];
    avgFrameRate?: string;
    timeBase?: string;
}
export interface IDuration {
    inFrames?: number;
    inSeconds?: number;
    startPts?: number;
    startTime?: number;
}
export interface ICodec {
    name?: string;
    longName?: string;
    type?: string;
    profile?: number;
    colorspace?: string;
    pixFmt?: string;
    level?: number;
}
export interface IColor {
    range?: string;
    space?: string;
    transfer?: string;
    primaries?: string;
}
export interface IVideoMetadata {
    streamIndex?: number;
    dimensions?: IDimensions;
    frameRate?: IFrameRate;
    duration?: IDuration;
    bitrate?: string;
    codec?: ICodec;
    color?: IColor;
    fieldOrder?: string;
    closedCaptions?: number;
    audioMetadata?: IAudioMetadata | IAudioMetadata[];
}
export interface IAudioMetadata {
    streamIndex?: number;
    codec?: ICodec;
    sampleRate?: number;
    channels?: number;
    channelLayout?: string;
    bitrate?: string;
}
//# sourceMappingURL=IVideoMetadata.d.ts.map