import { VideoResolution, VideoRatioType, VideoCodecType, VideoImageFormatType, PixelFormat, ProResProfile, VideoFileType } from "../enums/index.js";
import type { IVideoMetadata } from "./IVideoMetadata.js";
export interface IImageSettings {
    isLandscape: boolean;
    resolution: VideoResolution;
    ratio: VideoRatioType;
    ratioFraction: [number, number];
    width: number;
    height: number;
}
export interface IVideoSettings extends IImageSettings {
    frameRate: number;
    durationInFrames: number;
    videoCodec: VideoCodecType;
    videoImageFormat: VideoImageFormatType;
    pixelFormat: PixelFormat;
    proresProfile?: ProResProfile | null;
    fileType: VideoFileType;
    alphaChannel: boolean;
}
export declare const DEFAULT_VIDEO_SETTINGS: IVideoSettings;
export declare function updateVideoSettingsFromMetadata(videoSettings: IVideoSettings, videoMetadata: IVideoMetadata): IVideoSettings;
//# sourceMappingURL=IVideoSettings.d.ts.map