import { NormalizedSize } from "./models/normalizedSize.js";
// export const LottieWrapper: React.FC<{
//   data: any;
//   top: string | null;
//   left: string | null;
//   sizeInPercent: ISize | null;
//   fitMode: string | null;
//   playbackMode: PlaybackMode;
//   opacity: number | null;
//   translateX: number;
// }> = ({
//   data,
//   top,
//   left,
//   sizeInPercent,
//   fitMode = null,
//   playbackMode = PlaybackMode.StayAtLastFrame,
//   opacity = 1,
//   translateX = 0,
// }) => {
//   const lottieData = { ...data };
//   let frame = useCurrentFrame();
//   const videoConfig = useVideoConfig();
//   const lottieDataSize = getLottieSizeInPixel(lottieData);
//   let lottieSizeInPixel = sizeInPercent
//     ? percentToPixel(sizeInPercent, videoConfig)
//     : lottieDataSize;
//   if (
//     sizeInPercent &&
//     (sizeInPercent.width! <= 0 || sizeInPercent.height! <= 0)
//   )
//     lottieSizeInPixel = lottieDataSize;
//   const { op } = data;
//   if (playbackMode === PlaybackMode.StayAtLastFrame) {
//     frame > op ? (frame = op) : "";
//   } else if (playbackMode === PlaybackMode.Repeat) {
//     frame %= op;
//   } else if (playbackMode === PlaybackMode.Stop) {
//     if (frame > op) frame = -1;
//   }
//   scaleLottie(lottieData, lottieSizeInPixel, fitMode);
//   return (
//     <div
//       className="LottieWrapper"
//       style={{
//         position: "static",
//         top: top ?? "0",
//         left: left ?? "0",
//         width: lottieData.w + "px",
//         height: lottieData.h + "px",
//         //   BackgroundImage:
//         // 'linear-gradient(45deg, #eee 25%, transparent 25%, transparent 75%, #eee 75%, #eee 100%),linear-gradient(45deg, #eee 25%, white 25%, white 75%, #eee 75%, #eee 100%)',
//         backgroundSize: `${lottieSizeInPixel.width / 50}px ${
//           lottieSizeInPixel.width / 50
//         }px`,
//         backgroundPosition: `0px 0px,${lottieSizeInPixel.width / 100}px ${
//           lottieSizeInPixel.width / 100
//         }px`,
//         opacity: opacity ?? 1,
//         transform: `translateX(${translateX}px)`,
//       }}
//     >
//       <Lottie
//         autoplay={false}
//         initialSegment={[frame, frame]}
//         animationData={data}
//       />
//     </div>
//   );
// };
function percentToPixel(sizeInPercent, videoConfig) {
    return {
        width: (videoConfig.width / 100) * sizeInPercent.width,
        height: (videoConfig.height / 100) * sizeInPercent.height,
    };
}
function scaleLottie(data, size, fitMode = null) {
    const arw = size.width / data.w;
    const arh = size.height / data.h;
    data.w = size.width;
    data.h = size.height;
    switch (true) {
        case /fitToWidth/g.test(fitMode !== null && fitMode !== void 0 ? fitMode : ""):
            data.layers.forEach((layer) => {
                layer.sw *= arw;
                layer.sh *= arw;
            });
            break;
        case /fitToHeight/g.test(fitMode !== null && fitMode !== void 0 ? fitMode : ""):
            data.layers.forEach((layer) => {
                layer.sw *= arh;
                layer.sh *= arh;
            });
            break;
        case /fitToContent/g.test(fitMode !== null && fitMode !== void 0 ? fitMode : ""):
            data.layers.forEach((layer) => {
                layer.sw *= arw;
                layer.sh *= arh;
            });
            break;
        default:
            break;
    }
}
export const lottieMetaData = (data) => {
    const { w, h, op, fr } = data;
    return { w, h, op: Math.floor(op), fr };
};
export const getLottieSizeNormalized = (data, videoConfig) => {
    const lottie = lottieMetaData(data);
    return new NormalizedSize(lottie.w / videoConfig.width, lottie.h / videoConfig.height);
};
export const getLottieSizeInPixel = (data) => {
    const lottie = lottieMetaData(data);
    return { width: lottie.w, height: lottie.h };
};
export var PlaybackMode;
(function (PlaybackMode) {
    PlaybackMode[PlaybackMode["Stop"] = 0] = "Stop";
    PlaybackMode[PlaybackMode["Repeat"] = 1] = "Repeat";
    PlaybackMode[PlaybackMode["StayAtLastFrame"] = 2] = "StayAtLastFrame";
})(PlaybackMode || (PlaybackMode = {}));
//# sourceMappingURL=lottieWrapper.js.map