import { immerable } from "immer";
import { Timestamp } from "@firebase/firestore";
import { IDocumentReference, ILock, IBackgroundTask, ICollectionDocument, MetadataType } from "../interfaces/index.js";
import { HasUsers } from "./hasUsers.js";
export declare class CollectionDocument extends HasUsers implements ICollectionDocument {
    [immerable]: boolean;
    id: string;
    createdAt?: Date | Timestamp | null | undefined;
    updatedAt?: Date | Timestamp | null | undefined;
    createdBy?: string | null | undefined;
    updatedBy?: string | null | undefined;
    linkedParent?: string | null;
    linkedChildren?: string[] | null;
    workerLock?: ILock | null;
    notificationToken?: string | null;
    collectionPath?: string | null;
    documentReference?: IDocumentReference | null;
    tags?: {
        [key: string]: boolean;
    } | null;
    metadata?: {
        [key: string]: MetadataType;
    } | null;
    backgroundTask?: IBackgroundTask | null;
    backgroundTasks?: IBackgroundTask[] | null;
    backgroundTaskLog?: IBackgroundTask[] | null;
    constructor(data?: Partial<ICollectionDocument>);
    get createdDate(): Date | null;
    get updatedDate(): Date | null;
    get tasksInProgress(): IBackgroundTask[];
    get hasTaskInProgress(): boolean;
    toICollectionDocument(): ICollectionDocument;
    toDTO(): any;
    static fromDTO(data: ICollectionDocument): CollectionDocument;
    static sortByCreatedAt(a: CollectionDocument, b: CollectionDocument): 0 | 1 | -1;
    static sortByUpdatedAt(a: CollectionDocument, b: CollectionDocument): 0 | 1 | -1;
    static sortByProperty<T extends CollectionDocument>(property: string, a: T, b: T): 0 | 1 | -1;
    static trackingFn(index: number, item: CollectionDocument): string;
}
//# sourceMappingURL=collectionDocument.d.ts.map