import { jsx as _jsx } from "react/jsx-runtime";
import React from "react";
import { Sequence } from "remotion";
import { SelectionOutline } from "./selection-outline.js";
const displaySelectedItemOnTop = (items, selectedItem) => {
    const selectedItems = items.filter((item) => item.id === selectedItem);
    const unselectedItems = items.filter((item) => item.id !== selectedItem);
    return [...unselectedItems, ...selectedItems];
};
export const SortedOutlines = ({ items, selectedItem, changeItem, setSelectedItem, config }) => {
    const itemsToDisplay = React.useMemo(() => displaySelectedItemOnTop(items, selectedItem), [items, selectedItem]);
    const isDragging = React.useMemo(() => items.some((item) => item.isDragging), [items]);
    return itemsToDisplay.map((item) => {
        return (_jsx(Sequence, { from: item.from, durationInFrames: item.durationInFrames, layout: "none", children: _jsx(SelectionOutline, { config: config, changeItem: changeItem, item: item, setSelectedItem: setSelectedItem, selectedItem: selectedItem, isDragging: isDragging }) }, item.id));
    });
};
//# sourceMappingURL=sorted-outlines.js.map