import { z } from "zod";
export const DnDConfigSchema = z.object({
    selectionBorderColor: z.string().optional(),
    selectionBorderSize: z.number().min(1).optional(),
    resizeHandleSize: z.number().min(4).optional(),
    resizeHandleBorderSize: z.number().min(1).optional(),
    resizeHandleBorderColor: z.string().optional(),
    resizeHandleBackgroundColor: z.string().optional(),
    sanppingThreshold: z.number().optional(),
    snapPositionsX: z.array(z.number()).optional(),
    snapPositionsY: z.array(z.number()).optional(),
});
export const DragAndDropItemSchema = z.object({
    id: z.union([z.number(), z.string()]),
    from: z.number(),
    durationInFrames: z.number(),
    unit: z.enum(["px", "%"]),
    top: z.number(),
    left: z.number(),
    width: z.number(),
    height: z.number(),
    enforceRatio: z.tuple([z.number(), z.number()]).optional(),
    zIndex: z.number().optional(),
    color: z.string(),
    isDragging: z.boolean(),
});
export const DnDPropsSchema = z.object({
    config: DnDConfigSchema,
    items: z.array(DragAndDropItemSchema),
    setSelectedItem: z
        .function()
        .args(z.union([
        z.union([z.number(), z.string()]).nullable(),
        z
            .function()
            .args(z.union([z.number(), z.string()]).nullable())
            .returns(z.union([z.number(), z.string()]).nullable()),
    ]))
        .returns(z.void()),
    selectedItem: z.union([z.number(), z.string()]).nullable(),
    changeItem: z
        .function()
        .args(z.union([z.number(), z.string()]), z.function().args(DragAndDropItemSchema).returns(DragAndDropItemSchema))
        .returns(z.void()),
});
//# sourceMappingURL=type.js.map