import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { TimingAction, SelectorType } from "../../enums/index.js";
import { AudioLayer, AudioComponent } from "../layer/audio.layer.js";
import { LottieLayer, LottieComponent } from "../layer/lottie.layer.js";
import { SubtitleLayer, SubtitleComponent } from "../layer/subtitle.layer.js";
import { VideoLayer, VideoComponent } from "../layer/video.layer.js";
import { ImageComponent, ImageLayer } from "../layer/image.layer.js";
const LayerSequence = ({ sequenceRange, index, layer, selectors, }) => {
    var _a, _b, _c;
    const isPlayer = selectors && selectors[SelectorType.IsPlayer] === true;
    const absoluteRange = sequenceRange
        .addRelative(layer.relativeRange, TimingAction.Expand)
        .round();
    const props = {
        sequenceRange: absoluteRange,
        index,
        layer,
        selectors,
    };
    if (layer instanceof VideoLayer) {
        props.path = layer.pathSelector(isPlayer);
        props.offthreadVideo = !isPlayer;
        return _jsx(VideoComponent, Object.assign({}, props));
    }
    if (layer instanceof AudioLayer) {
        props.path = layer.path;
        return _jsx(AudioComponent, Object.assign({}, props));
    }
    if (layer instanceof ImageLayer) {
        props.path = layer.path;
        return _jsx(ImageComponent, Object.assign({}, props));
    }
    if (layer instanceof LottieLayer) {
        props.path = (_a = layer.path) !== null && _a !== void 0 ? _a : undefined;
        return _jsx(LottieComponent, Object.assign({}, props));
    }
    if (layer instanceof SubtitleLayer) {
        props.path = (_b = layer.path) !== null && _b !== void 0 ? _b : undefined;
        props.subtitle = (_c = layer.subtitle) !== null && _c !== void 0 ? _c : undefined;
        return _jsx(SubtitleComponent, Object.assign({}, props));
    }
    return (_jsxs("div", { style: {
            padding: "1rem",
            fontSize: "1.5rem",
            backgroundColor: undefined,
        }, children: ["layer ", layer.type, " is not a instance #", index, " type:", typeof layer, _jsx("p", { style: { marginLeft: "2rem" }, children: JSON.stringify(layer) })] }));
};
export default LayerSequence;
//# sourceMappingURL=layer-sequence.js.map