import { it, describe, beforeEach, expect } from "vitest";
import { spec } from "../data";
import { EditSpecification } from "./editSpecification.js";
import { Transition } from "./transition.js";
import { EditlyService } from "./editlyService.js";
describe("Editly Service", () => {
    let jsonString = "";
    let editSpecification;
    let videoSettings;
    beforeEach(() => {
        const transition = Transition.default();
        jsonString = JSON.stringify(spec);
        editSpecification = EditSpecification.fromJSON(jsonString);
        videoSettings = editSpecification.videoSettings;
    });
    describe("getTotalLength", () => {
        it("should return the total length of the video for a single clip", () => {
            const result = EditlyService.getTotalLength(editSpecification, videoSettings);
            expect(result).toBe(100);
        });
    });
});
//# sourceMappingURL=editlyService.spec.js.map