var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var _a;
import "reflect-metadata";
import { immerable } from "immer";
import { Type } from "class-transformer";
import { FrameRange } from "./frameRange.js";
export class FrameRangeCollection {
    constructor() {
        this[_a] = true; // Option 1
        this.collection = [];
        this.collectionScaled = [];
    }
    get lastFrame() {
        var _b, _c;
        return (_c = (_b = this.collection.at(this.collection.length - 1)) === null || _b === void 0 ? void 0 : _b.end) !== null && _c !== void 0 ? _c : 0;
    }
    get lastFrameScaled() {
        var _b, _c;
        return (_c = (_b = this.collectionScaled.at(this.collectionScaled.length - 1)) === null || _b === void 0 ? void 0 : _b.end) !== null && _c !== void 0 ? _c : 0;
    }
    append(range, rangeScaled) {
        this.collection.push(range);
        if (rangeScaled)
            this.collectionScaled.push(rangeScaled);
    }
    findIndexContainsFrame(frame, scaled = false) {
        if (scaled)
            return this.collectionScaled.findIndex((x) => x.containsFrame(frame));
        return this.collection.findIndex((x) => x.containsFrame(frame));
    }
    includingFrame(frame, scaled = false) {
        if (scaled)
            return this.collectionScaled.filter((x) => x.containsFrame(frame));
        return this.collection.filter((x) => x.containsFrame(frame));
    }
    leftOfFrame(frame, scaled = false) {
        if (scaled)
            return this.collectionScaled.filter((x) => x.end < frame);
        return this.collection.filter((x) => x.end < frame);
    }
    leftOfAndIncludingFrame(frame, scaled = false) {
        const left = this.leftOfFrame(frame, scaled);
        const including = this.includingFrame(frame, scaled);
        return [...left, ...including];
    }
    rightOfFrame(frame, scaled = false) {
        if (scaled)
            return this.collectionScaled.filter((x) => x.start > frame);
        return this.collection.filter((x) => x.start > frame);
    }
    rightOfAndIncludingFrame(frame, scaled = false) {
        const right = this.rightOfFrame(frame, scaled);
        const including = this.includingFrame(frame, scaled);
        return [...right, ...including];
    }
}
_a = immerable;
__decorate([
    Type(() => FrameRange),
    __metadata("design:type", Array)
], FrameRangeCollection.prototype, "collection", void 0);
__decorate([
    Type(() => FrameRange),
    __metadata("design:type", Array)
], FrameRangeCollection.prototype, "collectionScaled", void 0);
//# sourceMappingURL=frameRangeCollection.js.map