import { describe, expect, it } from "vitest";
import { FrameRangeCollectionContinuous } from "./frameRangeCollectionContinuous";
import { FrameRange } from "./frameRange";
import { Anchor } from "../enums";
describe("frameRangeCollectionContinuous", () => {
    it("testAppendWithValidFrameRanges", () => {
        // Arrange
        const collection = new FrameRangeCollectionContinuous();
        const range = new FrameRange(0, 10, Anchor.Start);
        const rangeScaled = new FrameRange(0, 20, Anchor.Start);
        // // Act
        collection.append(range, rangeScaled);
        // // Assert
        expect(collection.collection).toHaveLength(1);
        expect(collection.collection[0].isEqual(range)).toBeTruthy();
        expect(collection.collectionScaled).toHaveLength(1);
        expect(collection.collectionScaled[0].isEqual(rangeScaled)).toBeTruthy();
    });
});
//# sourceMappingURL=frameRangeCollectionContinuous.spec.js.map