import "reflect-metadata";
import type { IVideoSettings, IProperty, ILayer, AssetKey } from "../../interfaces/index.js";
import { Layer } from "./layer.js";
import { ElementProps } from "../../interfaces/elementProps.js";
import { MediaAssetVariant } from "../mediaAsset.js";
export declare class AudioLayer extends Layer {
    path: string;
    duration: number;
    __LAYER__: string;
    get minDuration(): number | undefined;
    get maxDuration(): number | undefined;
    private _volume;
    get volume(): number;
    set volume(value: number);
    constructor(layer: ILayer, asset: MediaAssetVariant<AssetKey> | undefined, path: string, duration: number, volume?: number);
    static fromILayer(iLayer: ILayer, assets: MediaAssetVariant<AssetKey>[], videoSettings: IVideoSettings, duration: number): Layer;
    getILayer(): ILayer;
    getTitle(): string;
    toInfoString(): string;
    getProperties(): IProperty[];
    setProperty(name: string, value: IProperty): void;
    updatePropertyValue(name: string, value: string): void;
}
export declare const AudioComponent: ({ sequenceRange, index, layer, path, selectors, }: ElementProps) => import("react/jsx-runtime").JSX.Element;
//# sourceMappingURL=audio.layer.d.ts.map