import "reflect-metadata";
import { IVideoSettings, IProperty, ILayer, ISize, AssetKey } from "../../interfaces/index.js";
import { Layer } from "./layer.js";
import { ElementProps } from "../../interfaces/elementProps.js";
import { Position } from "../position.js";
import { NormalizedSize } from "../normalizedSize.js";
import type { MediaAssetVariant } from "../mediaAsset.js";
export declare class ImageLayer extends Layer {
    path: string;
    duration: number;
    __LAYER__: string;
    get minDuration(): number | undefined;
    get maxDuration(): number | undefined;
    imageSize?: ISize | null;
    constructor(layer: ILayer, asset: MediaAssetVariant<AssetKey> | undefined, path: string, duration: number, position?: Position | null, size?: NormalizedSize | null, name?: string);
    getILayer(): ILayer;
    getTitle(): string;
    toInfoString(): string;
    getProperties(): IProperty[];
    setProperty(name: string, value: IProperty): void;
    updatePropertyValue(name: string, value: string): void;
    static fromILayer(iLayer: ILayer, assets: MediaAssetVariant<AssetKey>[], videoSettings: IVideoSettings, duration: number): Layer;
}
export declare const ImageComponent: ({ sequenceRange, index, layer, path, selectors, }: ElementProps) => import("react/jsx-runtime").JSX.Element;
//# sourceMappingURL=image.layer.d.ts.map