import "reflect-metadata";
import { TimingAction } from "../../enums/index.js";
import { LottieData } from "../../types/index.js";
import { ITextSettings, ILayer, IVideoSettings, AssetKey } from "../../interfaces/index.js";
import { LottieLayer } from "./lottie.layer.js";
import { NormalizedSize } from "../normalizedSize.js";
import { FrameRange } from "../frameRange.js";
import { Position } from "../position.js";
import { Layer } from "./layer.js";
import type { MediaAssetVariant } from "../mediaAsset.js";
export declare class LowerThirdLayer extends LottieLayer {
    path: string | null;
    duration: number;
    textLine1: string;
    textLine2: string;
    settingsLine1: ITextSettings | null;
    settingsLine2: ITextSettings | null;
    __LAYER__: string;
    private textLine1Width;
    private textLine2Width;
    private left;
    private right;
    get textWidth(): number;
    constructor(layer: ILayer, asset: MediaAssetVariant<AssetKey> | undefined, path: string | null, lottieData: LottieData, duration: number, textLine1: string, textLine2: string, position: Position, size: NormalizedSize | null, settingsLine1: ITextSettings | null, settingsLine2: ITextSettings | null);
    static fromILayer(iLayer: ILayer, assets: MediaAssetVariant<AssetKey>[], videoSettings: IVideoSettings, duration: number): Layer;
    setRelativeTiming(parentInsideRange: FrameRange, startOffset?: number, endOffset?: number, timingAction?: TimingAction): void;
    getILayer(fps?: number): ILayer;
    getTitle(): string;
}
//# sourceMappingURL=lowerThird.layer.d.ts.map