import "reflect-metadata";
import { IVideoSettings, ITextSettings, ILayer, IProperty, AssetKey } from "../../interfaces/index.js";
import { NormalizedSize } from "../normalizedSize.js";
import { Position } from "../position.js";
import { Layer } from "./layer.js";
import type { MediaAssetVariant } from "../mediaAsset.js";
export declare class SlideInTextLayer extends Layer {
    text: string;
    duration: number;
    animationDuration: number;
    textSettings: ITextSettings | null;
    __LAYER__: string;
    get minDuration(): number | undefined;
    get maxDuration(): number | undefined;
    get textWidth(): number;
    constructor(layer: ILayer, asset: MediaAssetVariant<AssetKey> | undefined, text: string, duration: number, animationDuration: number, position: Position, size: NormalizedSize, textSettings: ITextSettings | null, name?: string);
    static fromILayer(iLayer: ILayer, assets: MediaAssetVariant<AssetKey>[], videoSettings: IVideoSettings, duration: number): Layer;
    getILayer(): ILayer;
    getTitle(): string;
    toInfoString(): string;
    getProperties(): IProperty[];
    setProperty(name: string, value: IProperty): void;
    updatePropertyValue(name: string, value: string): void;
}
//# sourceMappingURL=slideInText.layer.d.ts.map