import "reflect-metadata";
import { immerable } from "immer";
import type { ILayer, IProperty, ISize, IWebVTT, IVideoSettings, AssetKey } from "../../interfaces/index.js";
import { Layer } from "./layer.js";
import { NormalizedSize } from "../normalizedSize.js";
import { FrameRange } from "../frameRange.js";
import { FrameRangeCollection } from "../frameRangeCollection.js";
import { ElementProps } from "../../interfaces/elementProps.js";
import { Position } from "../position.js";
import type { MediaAssetVariant } from "../mediaAsset.js";
export declare class SubtitleLayer extends Layer {
    path: string;
    duration: number;
    __LAYER__: string;
    [immerable]: boolean;
    private subtitlesLocale?;
    subtitleByLanguage(language: string): IWebVTT | null;
    get subtitle(): IWebVTT | null;
    set subtitle(value: IWebVTT | null);
    get allSubtitles(): IWebVTT[];
    get languages(): string[];
    videoSize?: ISize | null;
    volume: number;
    get minDuration(): number | undefined;
    get maxDuration(): number | undefined;
    constructor(layer: ILayer, asset: MediaAssetVariant<AssetKey> | undefined, path: string, duration: number, position?: Position | null, size?: NormalizedSize | null, name?: string);
    static fromILayer(iLayer: ILayer, assets: MediaAssetVariant<AssetKey>[], videoSettings: IVideoSettings, duration: number): Layer;
    getILayer(): ILayer;
    private getDefaultSubtitle;
    private SubtitlesLanguageExist;
    languageChanged(): void;
    getTitle(): string;
    toInfoString(): string;
    getProperties(): IProperty[];
    setProperty(name: string, value: IProperty): void;
    updatePropertyValue(name: string, value: string): void;
    cueSequenceScaled(sequenceRange: FrameRange, frameRate: number): {
        collection: FrameRangeCollection;
        valueSequence: number[];
    } | undefined;
    overwriteSubtitlesLocale(prior: SubtitleLayer): SubtitleLayer;
    overwriteSpatialProperties(prior: SubtitleLayer): SubtitleLayer;
    mergeSpatialProperties(other: SubtitleLayer): SubtitleLayer;
}
export declare const SubtitleComponent: ({ sequenceRange, index, layer, path, subtitle, selectors, }: ElementProps) => import("react/jsx-runtime").JSX.Element;
//# sourceMappingURL=subtitle.layer.d.ts.map