import "reflect-metadata";
import { immerable } from "immer";
import { type ILibraryItem, type ILocalCloudFile, type ISize, MediaType } from "../interfaces/index.js";
import { CollectionDocument } from "./collectionDocument.js";
import { MediaAsset } from "./mediaAsset.js";
import { VideoSettings } from "./videoSettings.js";
import { WebVTT } from "./webVTT.js";
import { TimeRange } from "./timerange.js";
export declare class LibraryItem extends CollectionDocument {
    [immerable]: boolean;
    name: string;
    state: string;
    type: MediaType;
    asset: MediaAsset;
    data?: any;
    dataJson?: string;
    get videoSettings(): VideoSettings | undefined;
    set videoSettings(value: VideoSettings | undefined);
    get iSize(): ISize | undefined;
    get stateMessage(): string | undefined;
    private _languageCode;
    get languageCode(): string | null;
    set languageCode(value: string | null);
    get variantLanguageCodes(): string[];
    get assetFiles(): {
        name: string;
        file: ILocalCloudFile;
    }[];
    constructor(item?: ILibraryItem);
    initVideoSettings(): void;
    updateSubtitle(languageCode: string, webVtt: WebVTT): boolean;
    toILibraryItem(): ILibraryItem;
    static toILibraryItem(obj: ILibraryItem | LibraryItem): ILibraryItem;
    static fromILibraryItem(item: ILibraryItem): LibraryItem;
    static default(): LibraryItem;
    static getText(item: ILibraryItem): string | undefined;
    static getMetadataText(item: ILibraryItem): string | undefined;
    static getAnalysisText(item: ILibraryItem): string | undefined;
    static getAnalysisTexts(item: ILibraryItem): string | undefined;
    static getSubtitleText(item: ILibraryItem): string | undefined;
    static getSubtitleTimerangeTexts(item: ILibraryItem, minTextLength?: number): {
        text: string;
        timerange: TimeRange;
    }[] | undefined;
}
//# sourceMappingURL=library-item.d.ts.map