import "reflect-metadata";
import { immerable } from "immer";
import { type ILocalCloudFile, LanguageVersionKey, MetadataType } from "../interfaces/index.js";
import { VariantMap } from "./variantMap.js";
export declare class LocalCloudFile implements ILocalCloudFile {
    [immerable]: boolean;
    get empty(): boolean;
    filename: string;
    localPath?: string;
    cloudPath?: string;
    cloudDownloadPath?: string;
    fileMetadata?: MetadataType[];
    jsonData?: string;
    variants: LcfVariant<LanguageVersionKey>[];
    get variantMap(): VariantMap<LanguageVersionKey, LocalCloudFile>;
    removeVariant(key: LanguageVersionKey): void;
    toILocalCloudFile(): ILocalCloudFile;
    static fromILocalCloudFile(data?: ILocalCloudFile): LocalCloudFile;
    static default(): LocalCloudFile;
}
export declare class LcfVariant<K> {
    key: K;
    value: LocalCloudFile;
    constructor();
}
//# sourceMappingURL=localCloudFile.d.ts.map