var _a;
import "reflect-metadata";
import { immerable } from "immer";
export class NumberRange {
    get difference() {
        return this.end - this.start;
    }
    set difference(value) {
        this.end = this.start + value;
    }
    constructor(start, end) {
        this[_a] = true; // Option 1
        this.start = 0;
        this.end = 0;
        this.start = start !== null && start !== void 0 ? start : 0;
        this.end = end !== null && end !== void 0 ? end : 0;
    }
    clone() {
        return new NumberRange(this.start, this.end);
    }
    toAscending() {
        const min = Math.min(this.start, this.end);
        const max = Math.max(this.start, this.end);
        return new NumberRange(min, max);
    }
    toDescending() {
        const min = Math.min(this.start, this.end);
        const max = Math.max(this.start, this.end);
        return new NumberRange(max, min);
    }
    toString() {
        return `[${this.start}, ${this.end}]`;
    }
    static unitRange() {
        return new NumberRange(0, 1);
    }
}
_a = immerable;
//# sourceMappingURL=number-range.js.map