var _a;
import "reflect-metadata";
import { immerable } from "immer";
import { NormalizedSize } from "./normalizedSize.js";
export class PercentSize {
    get width() {
        return this._width;
    }
    set width(value) {
        this._width = Math.max(value, 0);
    }
    // @limit(0, 1)
    get height() {
        return this._height;
    }
    set height(value) {
        this._height = Math.max(value, 0);
    }
    constructor(width, height) {
        this[_a] = true; // Option 1
        // @limit(0, 1)
        this._width = 0;
        this._height = 0;
        this.width = width;
        this.height = height;
    }
    static fill() {
        return new PercentSize(100, 100);
    }
    static fromViewPort(size, viewPort) {
        const norm = new NormalizedSize(size.width / viewPort.width, size.height / viewPort.height);
        return NormalizedSizeToPercentSize(norm);
    }
}
_a = immerable;
function NormalizedSizeToPercentSize(normalized) {
    return new PercentSize(normalized.width * 100, normalized.height * 100);
}
function PercentSizeToNormalizedSize(percent) {
    return new NormalizedSize(percent.width * 0.01, percent.height * 0.01);
}
//# sourceMappingURL=percentSize.js.map