import "reflect-metadata";
import { immerable } from "immer";
import type { IVideoSettings, IMediaAsset, IDocumentReference, IProjectElement, IAudioClip, ITitle, ILowerThird } from "../interfaces/index.js";
import { HasUsers } from "./hasUsers.js";
import { FrameRange } from "./frameRange.js";
import { Timestamp } from "@firebase/firestore";
export declare class ProjectElement extends HasUsers implements IProjectElement {
    [immerable]: boolean;
    id: string;
    createdBy: string;
    updatedBy: string;
    uid: string;
    name: string;
    description: string;
    text1: string;
    text2: string;
    isFinished: boolean;
    isLandscape: boolean;
    isMovable: boolean;
    maxLength: number | null;
    type: number;
    videoSettings: IVideoSettings;
    selectedAsset: IMediaAsset | null;
    uploadedAsset: IMediaAsset | null;
    assets: IMediaAsset[];
    backgroundAudio: IAudioClip | null;
    clipTitle: ITitle | null;
    lowerThird: ILowerThird | null;
    tags?: {
        [key: string]: boolean;
    };
    notificationToken?: string;
    collectionPath?: string;
    createdAt?: Date | Timestamp | null | undefined;
    updatedAt?: Date | Timestamp | null | undefined;
    documentReference?: IDocumentReference | null | undefined;
    constructor(element?: Partial<IProjectElement>);
    getInOutPointsInFrames(fps?: number): FrameRange;
    getInPointInFrames(fps?: number): number;
    getOutPointInFrames(fps?: number): number;
}
//# sourceMappingURL=projectElement.d.ts.map