import { Range } from "./range.js";
export class NumberRange extends Range {
    toDto() {
        return {
            start: this.start,
            end: this.end,
        };
    }
    fromDto(dto) {
        return this.createInstance(dto.start, dto.end);
    }
    compare(a, b) {
        return a - b;
    }
    add(a, b) {
        return a + b;
    }
    subtract(a, b) {
        return a - b;
    }
    multiply(a, factor) {
        return a * factor;
    }
    divide(a, divisor) {
        return a / divisor;
    }
    createInstance(start, end) {
        return new NumberRange(start, end);
    }
    // Serialization methods
    serializeValue(value) {
        return value;
    }
    deserializeValue(value) {
        return Number(value);
    }
    // Overriding fromDto for NumberRange
    static fromDto(dto, createInstance = (start, end) => new NumberRange(start, end), deserializeValue = (value) => Number(value)) {
        const start = deserializeValue(dto.start);
        const end = deserializeValue(dto.end);
        return createInstance(start, end);
    }
}
//# sourceMappingURL=numberRange.js.map