var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var _a;
/* eslint-disable capitalized-comments */
import "reflect-metadata";
import { immerable } from "immer";
import { instanceToPlain, plainToInstance, Type } from "class-transformer";
import { RenderedVideoState, } from "../interfaces/index.js";
import { CollectionDocument, EditSpecification } from "./index.js";
import { VariantMap } from "./variantMap.js";
import { MediaAsset } from "./mediaAsset.js";
export class RenderedVideo extends CollectionDocument {
    constructor() {
        super(...arguments);
        this[_a] = true; // Option 1
        this.state = RenderedVideoState.null;
        this.projectName = "";
        this.projectReference = null;
        this.editSpecification = new EditSpecification();
        // editSpecification: IEditSpecification | null = null;
        this.videoSettings = null;
        this.createdAsset = null;
        this.createdAssets = [];
        this.videoCount = 0;
        this.normalizedCount = 0;
        this.ratios = null;
        this.languageCodes = null;
        this.subtitle = null;
    }
    get createdAssetsMap() {
        const map = new VariantMap(this.createdAssets.map((item) => {
            return {
                key: item.key,
                value: MediaAsset.fromIMediaAsset(item.value),
            };
        }));
        map.onChange = (collection) => {
            this.createdAssets = collection.map((item) => {
                return {
                    key: item.key,
                    value: item.value.toIMediaAsset(),
                };
            });
        };
        return map;
    }
    // constructor(item?: Partial<IRenderedVideo>) {
    //   super(item);
    //   const clone = _.cloneDeep(item);
    //   Object.assign(this, clone);
    //   this.id = item?.id ?? makeId(20);
    //   if (this.editSpecification)
    //     this.editSpecification.renderedVideoId = this.id;
    //   if (clone?.createdAssets) this.createdAssets = clone.createdAssets;
    // }
    getAsset(expression) {
        var _b, _c;
        return (_c = (_b = this.createdAssetsMap) === null || _b === void 0 ? void 0 : _b.find(expression)) === null || _c === void 0 ? void 0 : _c.value;
    }
    getAssets() {
        return this.createdAssetsMap.values;
    }
    upsertAsset(key, asset) {
        var _b;
        (_b = this.createdAssetsMap) === null || _b === void 0 ? void 0 : _b.upsert(key, asset);
    }
    static toIRenderedVideo(item) {
        return plainToInstance(RenderedVideo, item).toIRenderedVideo();
    }
    toIRenderedVideo() {
        return instanceToPlain(this);
    }
    static fromIRenderedVideo(item) {
        return plainToInstance(RenderedVideo, item);
    }
    static trackingFn(index, item) {
        return item.id;
    }
}
_a = immerable;
__decorate([
    Type(() => EditSpecification),
    __metadata("design:type", EditSpecification)
], RenderedVideo.prototype, "editSpecification", void 0);
const makeId = (length) => {
    let result = "";
    const characters = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";
    const charactersLength = characters.length;
    for (let i = 0; i < length; i++) {
        // eslint-disable-next-line @remotion/deterministic-randomness
        result += characters.charAt(Math.floor(Math.random() * charactersLength));
    }
    return result;
};
//# sourceMappingURL=renderedVideo.js.map