var _a;
import "reflect-metadata";
import { immerable } from "immer";
import { aspectFill, aspectFit } from "./aspect.js";
export class Size {
    get width() {
        return this._width;
    }
    set width(value) {
        this._width = Math.max(value, 0);
    }
    get height() {
        return this._height;
    }
    set height(value) {
        this._height = Math.max(value, 0);
    }
    constructor(width, height) {
        this[_a] = true; // Option 1
        this._width = 0;
        this._height = 0;
        this.width = width;
        this.height = height;
    }
    toPercentSize() {
        throw new Error("Method not implemented.");
    }
    toNormalizedSize() {
        throw new Error("Method not implemented.");
    }
    static fromISize(size) {
        return new Size(size.width, size.height);
    }
    static aspectFill(size, viewPort) {
        const fill = aspectFill(size.width, size.height, viewPort.width, viewPort.height);
        return new Size(fill.width, fill.height);
    }
    static aspectFit(size, viewPort) {
        const fit = aspectFit(size.width, size.height, viewPort.width, viewPort.height);
        return new Size(fit.width, fit.height);
    }
    static get default() {
        return new Size(1920, 1080);
    }
}
_a = immerable;
//# sourceMappingURL=size.js.map