import { from, of } from "rxjs";
import { concatMap, toArray } from "rxjs/operators";
import { TaskExecutionStrategy } from "./taskExecutionStrategy.js";
import { combineTransients } from "./task.js";
export class SequentialExecutionStrategy extends TaskExecutionStrategy {
    execute(tasks, transient, successOnAllSubSucesses) {
        return from(tasks).pipe(concatMap((subTask) => from(subTask.execute(transient))), toArray(), concatMap((results) => {
            const combined = combineTransients(transient, results, successOnAllSubSucesses);
            return of(combined);
        }));
    }
}
//# sourceMappingURL=sequentialExecutionStrategy.js.map