import { z } from "zod";
import { TransitionCurveSchema } from "../enums/index.js";
import { IFrameRangeSchema } from "../interfaces/index.js";
export const ITransitionSchema = z.object({
    property: z.string(),
    valueFrom: z.number(),
    valueTo: z.number(),
    curve: TransitionCurveSchema,
    relativeRange: IFrameRangeSchema,
});
export const IClipTransitionSchema = z.object({
    name: z.string(),
    duration: z.number(),
    audioInCurve: z.string().nullable(),
    audioOutCurve: z.string().nullable(),
});
//# sourceMappingURL=transition.schema.js.map