import { z } from "zod";
export declare const IImageSettingsSchema: z.ZodObject<{
    isLandscape: z.ZodBoolean;
    resolution: z.ZodEnum<[import("../enums/general.js").VideoResolution._8K, import("../enums/general.js").VideoResolution.UHD, import("../enums/general.js").VideoResolution.HD, import("../enums/general.js").VideoResolution.QHD, import("../enums/general.js").VideoResolution.SD]>;
    ratio: z.ZodUnion<[z.ZodLiteral<import("../enums/general.js").VideoRatioType.R16To9>, z.ZodLiteral<import("../enums/general.js").VideoRatioType.R9To16>, z.ZodLiteral<import("../enums/general.js").VideoRatioType.R4To3>, z.ZodLiteral<import("../enums/general.js").VideoRatioType.R3To4>, z.ZodLiteral<import("../enums/general.js").VideoRatioType.R5To4>, z.ZodLiteral<import("../enums/general.js").VideoRatioType.R1To1>, z.ZodLiteral<import("../enums/general.js").VideoRatioType.RCustom>]>;
    ratioFraction: z.ZodTuple<[z.ZodNumber, z.ZodNumber], null>;
    width: z.ZodNumber;
    height: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
    ratio: import("../enums/general.js").VideoRatioType;
    isLandscape: boolean;
    resolution: import("../enums/general.js").VideoResolution;
    ratioFraction: [number, number];
    width: number;
    height: number;
}, {
    ratio: import("../enums/general.js").VideoRatioType;
    isLandscape: boolean;
    resolution: import("../enums/general.js").VideoResolution;
    ratioFraction: [number, number];
    width: number;
    height: number;
}>;
export declare const IVideoSettingsSchema: z.ZodObject<{
    ratio: z.ZodUnion<[z.ZodLiteral<import("../enums/general.js").VideoRatioType.R16To9>, z.ZodLiteral<import("../enums/general.js").VideoRatioType.R9To16>, z.ZodLiteral<import("../enums/general.js").VideoRatioType.R4To3>, z.ZodLiteral<import("../enums/general.js").VideoRatioType.R3To4>, z.ZodLiteral<import("../enums/general.js").VideoRatioType.R5To4>, z.ZodLiteral<import("../enums/general.js").VideoRatioType.R1To1>, z.ZodLiteral<import("../enums/general.js").VideoRatioType.RCustom>]>;
    isLandscape: z.ZodBoolean;
    resolution: z.ZodEnum<[import("../enums/general.js").VideoResolution._8K, import("../enums/general.js").VideoResolution.UHD, import("../enums/general.js").VideoResolution.HD, import("../enums/general.js").VideoResolution.QHD, import("../enums/general.js").VideoResolution.SD]>;
    ratioFraction: z.ZodTuple<[z.ZodNumber, z.ZodNumber], null>;
    width: z.ZodNumber;
    height: z.ZodNumber;
    frameRate: z.ZodNumber;
    durationInFrames: z.ZodNumber;
    videoCodec: z.ZodEnum<[import("../enums/general.js").VideoCodecType.H264, import("../enums/general.js").VideoCodecType.H264MKV, import("../enums/general.js").VideoCodecType.H265, import("../enums/general.js").VideoCodecType.ProRes, import("../enums/general.js").VideoCodecType.VP8, import("../enums/general.js").VideoCodecType.VP9, import("../enums/general.js").VideoCodecType.GIF]>;
    videoImageFormat: z.ZodEnum<[import("../enums/general.js").VideoImageFormatType.JPEG, import("../enums/general.js").VideoImageFormatType.PNG, import("../enums/general.js").VideoImageFormatType.NONE]>;
    pixelFormat: z.ZodEnum<[import("../enums/general.js").PixelFormat.yuv420p, import("../enums/general.js").PixelFormat.yuva420p, import("../enums/general.js").PixelFormat.yuv422p, import("../enums/general.js").PixelFormat.yuv444p, import("../enums/general.js").PixelFormat.yuv420p10le, import("../enums/general.js").PixelFormat.yuv422p10le, import("../enums/general.js").PixelFormat.yuv444p10le, import("../enums/general.js").PixelFormat.yuva444p10le]>;
    proresProfile: z.ZodOptional<z.ZodNullable<z.ZodEnum<[import("../enums/general.js").ProResProfile.ProRes444, import("../enums/general.js").ProResProfile.ProRes444XQ, import("../enums/general.js").ProResProfile.HQ, import("../enums/general.js").ProResProfile.Standard, import("../enums/general.js").ProResProfile.Light, import("../enums/general.js").ProResProfile.Proxy]>>>;
    fileType: z.ZodEnum<[import("../enums/general.js").VideoFileType.mp4, import("../enums/general.js").VideoFileType.mov, import("../enums/general.js").VideoFileType.mkv, import("../enums/general.js").VideoFileType.webm, import("../enums/general.js").VideoFileType.hevc]>;
    alphaChannel: z.ZodBoolean;
}, "strip", z.ZodTypeAny, {
    ratio: import("../enums/general.js").VideoRatioType;
    isLandscape: boolean;
    frameRate: number;
    resolution: import("../enums/general.js").VideoResolution;
    ratioFraction: [number, number];
    width: number;
    height: number;
    durationInFrames: number;
    videoCodec: import("../enums/general.js").VideoCodecType;
    videoImageFormat: import("../enums/general.js").VideoImageFormatType;
    pixelFormat: import("../enums/general.js").PixelFormat;
    fileType: import("../enums/general.js").VideoFileType;
    alphaChannel: boolean;
    proresProfile?: import("../enums/general.js").ProResProfile | null | undefined;
}, {
    ratio: import("../enums/general.js").VideoRatioType;
    isLandscape: boolean;
    frameRate: number;
    resolution: import("../enums/general.js").VideoResolution;
    ratioFraction: [number, number];
    width: number;
    height: number;
    durationInFrames: number;
    videoCodec: import("../enums/general.js").VideoCodecType;
    videoImageFormat: import("../enums/general.js").VideoImageFormatType;
    pixelFormat: import("../enums/general.js").PixelFormat;
    fileType: import("../enums/general.js").VideoFileType;
    alphaChannel: boolean;
    proresProfile?: import("../enums/general.js").ProResProfile | null | undefined;
}>;
//# sourceMappingURL=videoSettings.schema.d.ts.map